#!/usr/bin/perl
# 
# Copyright (C) 2015 Mehmet Soysal 
#                    Karlsruhe Institute of Technology (KIT), 
#                    Steinbuch Centre for Computing (SCC)
#                    76128 Karlsruhe, Germany
#                    Mehmet.Soysal (at) kit.edu
#
# ------------------------------------------------------------------------
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
# ------------------------------------------------------------------------


# This file shows only a snippet for Lustre IO stats.

#Arguments passed by scheduler
my $jobid = $ARGV[0];
my $user = $ARGV[1]; 
my $email = $ARGV[2];

my $systemname = "myclusterA";
my $input = `/opt/moab/bin/checkjob -v -v $jobid`;
my $lustrestats;
my $lustrefs;
# msub -W x="VAR=LUSTRESTATS=mylustrefsA,mylustrefsB"
#if ($input =~ m/Job Submission.*\n#PBS -W.*VAR=lustrestats=(.*?);/s) {
# msub -W LUSTRESTATS=mylustrefsA,mylustrefsB
if ($input =~ m/Job Submission.*\n#PBS -W (lustrestats:(.*?))\n.*/s) {
    #Job is requesting Lustrestats
    $lustrestats = 1;
    $lustrefs = $2;
}
if ($lustrestats) {
    my @fs_req = split(/,/,$lustrefs);
    foreach my $fs (@fs_req){
        my $filename = "/nfs/jobstats/lustrestat-$fs-$systemname-$jobid";
        open(LSSTAT,">>$filename");
        print LSSTAT "MAIL=$mail";
        print LSSTAT "\n";
        print LSSTAT "USER=$user";
        close LSSTAT;
    }
}


